package com.chenyang.nse.bussiness.tools.engine.mapplet;

import java.io.Serializable;

public class KeyStrInfo implements Serializable {
   private static final long serialVersionUID = 1L;
   private String maskFormat;
   private String filterSourceCharacters;
   private String filterSourceOption;
   private String sourceCharacters;
   private String filterTargetCharacters;
   private String filterTargetOption;
   private String targetCharacters;

   public String getMaskFormat() {
      return this.maskFormat;
   }

   public void setMaskFormat(String maskFormat) {
      this.maskFormat = maskFormat;
   }

   public String getFilterSourceCharacters() {
      return this.filterSourceCharacters;
   }

   public void setFilterSourceCharacters(String filterSourceCharacters) {
      this.filterSourceCharacters = filterSourceCharacters;
   }

   public String getFilterSourceOption() {
      return this.filterSourceOption;
   }

   public void setFilterSourceOption(String filterSourceOption) {
      this.filterSourceOption = filterSourceOption;
   }

   public String getSourceCharacters() {
      return this.sourceCharacters;
   }

   public void setSourceCharacters(String sourceCharacters) {
      this.sourceCharacters = sourceCharacters;
   }

   public String getFilterTargetCharacters() {
      return this.filterTargetCharacters;
   }

   public void setFilterTargetCharacters(String filterTargetCharacters) {
      this.filterTargetCharacters = filterTargetCharacters;
   }

   public String getFilterTargetOption() {
      return this.filterTargetOption;
   }

   public void setFilterTargetOption(String filterTargetOption) {
      this.filterTargetOption = filterTargetOption;
   }

   public String getTargetCharacters() {
      return this.targetCharacters;
   }

   public void setTargetCharacters(String targetCharacters) {
      this.targetCharacters = targetCharacters;
   }

   public static long getSerialversionuid() {
      return 1L;
   }
}
